> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpointy-dlya-dostupa-k-prostranstvennym-dannym/wms-poluchenie-rastrovykh-izobrazhenii-sloyov-prostranstvennykh-dannykh/16.-sputnikovyi-snimok-obrezan-po-granice-polya.md).

# 16. Спутниковый снимок: обрезан по границе поля

Доступна точная (не-пикселизированная) вырезка спутникового изображения на основе заданной границы поля для различных видов отображения, таких как `RGB, NIR, EVI2, LAI, NDVI, GNDVI, IPVI, GCI, SAVI, OSAVI, NDWI, WDRVI, NDMI, MCARI`, и т.д.&#x20;

Каждое SatelliteImage содержит `geoMaps` объект, содержащий детали визуализации, такие как `url`, цветовые коды, классы и имя. Эти детали находятся в `поле` -> `атрибуте satelliteImages` -> `geoMaps` атрибуте. `url` конкретно используется для отображения карт как слой WMS.

Для иллюстрации ниже приведены примеры выходных данных для видов NIR и WDRVI.

### Ближний инфракрасный (NIR), WDRVI и контраст WDRVI

![NIR](https://3851418964-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FBO5IUPWygVgPKpMAsela%2Fimage.png?alt=media\&token=23504b6c-df7c-460e-b1cd-b184fe86c575) ![WDRVI](https://3851418964-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2FWWNyxHuZj4eEkSrUPEN1%2Fimage.png?alt=media\&token=8cccb814-3eb8-4b55-b1eb-ff0609091f68) ![WDRVI Contrast](https://3851418964-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FYICBELdyAXXebKAzfLOR%2Fuploads%2F7f0VDnbb4I5kiw7OdDg5%2Fimage.png?alt=media\&token=1ccffb9a-88b3-431b-9c8d-703cb784a5e6)

Формат запроса [https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:\<field\_uuid>\&TIME=2020-07-22T17%3A50%3A22Z\&BBOX=\<minX,minY,maxX,maxY>\&LAYERS=sentinel2\_wdrvi\_and\_field\&SRS=EPSG%3A900913\&WIDTH=512\&geopardApiKey=\<geopard\_api\_key>](https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true\&VIEWPARAMS=uuid:).&#x20;

### Пояснение параметров URL

Где входные атрибуты:

1. `VIEWPARAMS=uuid:<field_uuid>` содержит `uuid` "Поля";
2. `TIME=2020-07-22T17%3A50%3A22Z` содержит данные спутникового изображения в формате YYYY-MM-DDThh:mm:ssZ (url-кодирован) и находится в сущности "FieldSatelliteImagery" с `acquisitionDate` атрибутом;
3. `BBOX=<minX,minY,maxX,maxY>` содержит ограничивающий прямоугольник (url-кодированный) «Поля» в проекции EPSG:3857;
4. `WIDTH=512`  отражает размер выходного изображения в пикселях (точное число важно только если оно используется как миниатюра);
5. `geopardApiKey=<geopard_api_key>` связан с опцией авторизации через API-ключ;
6. `LAYERS=sentinel2_wdrvi_and_field` отражает стиль, атрибут поставщика, расположенный в сущности "FieldSatelliteImagery".

Доступные опции для Sentinel2 (`S2`) спутниковых изображений `LAYERS` включают:

`sentinel2_ndvi_and_field`&#x20;

`sentinel2_evi2_and_field`&#x20;

`sentinel2_rgb_and_field`&#x20;

`sentinel2_gci_and_field`

`sentinel2_lai_and_field`&#x20;

`sentinel2_nir_and_field`&#x20;

`sentinel2_osavi_and_field`&#x20;

`Sentinel2_wdrvi_and_field`

доступные опции для Landsat8 (`L8, L9`) спутниковых изображений `LAYERS` включают:

`landsat8_ndvi_and_field`&#x20;

`landsat8_evi2_and_field`&#x20;

`landsat8_rgb_and_field`&#x20;

`landsat8_gci_and_field`

`landsat8_lai_and_field`&#x20;

`landsat8_nir_and_field`&#x20;

`landsat8_osavi_and_field`&#x20;

`landsat8_wdrvi_and_field`

доступные опции для Landsat4-7 (`L4, L5, L6, L7`) спутниковых изображений `LAYERS` включают:

`landsat4-7_ndvi_and_field`&#x20;

`landsat4-7_evi2_and_field`&#x20;

`landsat4-7_rgb_and_field`&#x20;

`Landsat4-7_gci_and_field`

`landsat4-7_lai_and_field`&#x20;

`landsat4-7_nir_and_field`&#x20;

`landsat4-7_osavi_and_field`&#x20;

`landsat4-7_wdrvi_and_field`

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geo-endpointy-dlya-dostupa-k-prostranstvennym-dannym/wms-poluchenie-rastrovykh-izobrazhenii-sloyov-prostranstvennykh-dannykh/16.-sputnikovyi-snimok-obrezan-po-granice-polya.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
